	.file	"allexec.c"
	.section	.debug_abbrev,"",@progbits
.Ldebug_abbrev0:
	.section	.debug_info,"",@progbits
.Ldebug_info0:
	.section	.debug_line,"",@progbits
.Ldebug_line0:
	.text
.Ltext0:
	.cfi_sections	.debug_frame
	.section	.rodata
.LC0:
	.string	"exec failed"
.LC1:
	.string	"cannot fork\n"
.LC2:
	.string	"error waiting child"
.LC3:
	.string	"child exited\n"
.LC4:
	.string	"constant_arg2"
.LC5:
	.string	"constant_arg1"
	.text
.globl test_allexec
	.type	test_allexec, @function
test_allexec:
.LFB0:
	.file 1 "allexec.c"
	.loc 1 21 0
	.cfi_startproc
	pushl	%ebp
	.cfi_def_cfa_offset 8
	.cfi_offset 5, -8
	movl	%esp, %ebp
	.cfi_def_cfa_register 5
	subl	$72, %esp
.LBB2:
	.loc 1 22 0
	call	fork
	movl	%eax, -20(%ebp)
	cmpl	$0, -20(%ebp)
	jne	.L2
	movl	$0, 8(%esp)
	movl	8(%ebp), %eax
	movl	%eax, 4(%esp)
	movl	8(%ebp), %eax
	movl	%eax, (%esp)
	call	execlp
	movl	$.LC0, (%esp)
	call	perror
	jmp	.L3
.L2:
	cmpl	$-1, -20(%ebp)
	jne	.L4
	movl	$.LC1, (%esp)
	call	perror
	jmp	.L3
.L4:
	movl	$0, %eax
	leal	-24(%ebp), %eax
	movl	%eax, (%esp)
	call	wait
	cmpl	-20(%ebp), %eax
	je	.L5
	movl	$.LC2, (%esp)
	call	perror
	jmp	.L3
.L5:
	movl	stdout, %eax
	movl	%eax, %edx
	movl	$.LC3, %eax
	movl	%edx, 12(%esp)
	movl	$13, 8(%esp)
	movl	$1, 4(%esp)
	movl	%eax, (%esp)
	call	fwrite
	movl	stdout, %eax
	movl	%eax, (%esp)
	call	fflush
.L3:
.LBE2:
.LBB3:
	.loc 1 23 0
	call	fork
	movl	%eax, -16(%ebp)
	cmpl	$0, -16(%ebp)
	jne	.L6
	movl	$0, 16(%esp)
	movl	$.LC4, 12(%esp)
	movl	$.LC5, 8(%esp)
	movl	8(%ebp), %eax
	movl	%eax, 4(%esp)
	movl	8(%ebp), %eax
	movl	%eax, (%esp)
	call	execlp
	movl	$.LC0, (%esp)
	call	perror
	jmp	.L7
.L6:
	cmpl	$-1, -16(%ebp)
	jne	.L8
	movl	$.LC1, (%esp)
	call	perror
	jmp	.L7
.L8:
	movl	$0, %eax
	leal	-28(%ebp), %eax
	movl	%eax, (%esp)
	call	wait
	cmpl	-16(%ebp), %eax
	je	.L9
	movl	$.LC2, (%esp)
	call	perror
	jmp	.L7
.L9:
	movl	stdout, %eax
	movl	%eax, %edx
	movl	$.LC3, %eax
	movl	%edx, 12(%esp)
	movl	$13, 8(%esp)
	movl	$1, 4(%esp)
	movl	%eax, (%esp)
	call	fwrite
	movl	stdout, %eax
	movl	%eax, (%esp)
	call	fflush
.L7:
.LBE3:
.LBB4:
	.loc 1 24 0
	call	fork
	movl	%eax, -12(%ebp)
	cmpl	$0, -12(%ebp)
	jne	.L10
	movl	environ, %eax
	movl	%eax, 8(%esp)
	movl	$0, 4(%esp)
	movl	8(%ebp), %eax
	movl	%eax, (%esp)
	call	execve
	movl	$.LC0, (%esp)
	call	perror
	jmp	.L14
.L10:
	cmpl	$-1, -12(%ebp)
	jne	.L12
	movl	$.LC1, (%esp)
	call	perror
	jmp	.L14
.L12:
	movl	$0, %eax
	leal	-32(%ebp), %eax
	movl	%eax, (%esp)
	call	wait
	cmpl	-12(%ebp), %eax
	je	.L13
	movl	$.LC2, (%esp)
	call	perror
	jmp	.L14
.L13:
	movl	stdout, %eax
	movl	%eax, %edx
	movl	$.LC3, %eax
	movl	%edx, 12(%esp)
	movl	$13, 8(%esp)
	movl	$1, 4(%esp)
	movl	%eax, (%esp)
	call	fwrite
	movl	stdout, %eax
	movl	%eax, (%esp)
	call	fflush
.L14:
.LBE4:
	.loc 1 25 0
	leave
	.cfi_restore 5
	.cfi_def_cfa 4, 4
	ret
	.cfi_endproc
.LFE0:
	.size	test_allexec, .-test_allexec
	.section	.rodata
.LC6:
	.string	"exec"
.LC7:
	.string	"%s will exec ./allexec32\n"
.LC8:
	.string	"./allexec32"
.LC9:
	.string	"%s will exec ./allexec64\n"
.LC10:
	.string	"./allexec64"
.LC11:
	.string	"program exec-ed:"
.LC12:
	.string	" %s"
	.text
.globl main
	.type	main, @function
main:
.LFB1:
	.loc 1 37 0
	.cfi_startproc
	pushl	%ebp
	.cfi_def_cfa_offset 8
	.cfi_offset 5, -8
	movl	%esp, %ebp
	.cfi_def_cfa_register 5
	andl	$-16, %esp
	subl	$32, %esp
	.loc 1 38 0
	cmpl	$2, 8(%ebp)
	jne	.L16
	movl	12(%ebp), %eax
	addl	$4, %eax
	movl	(%eax), %eax
	movl	$.LC6, 4(%esp)
	movl	%eax, (%esp)
	call	strcmp
	testl	%eax, %eax
	jne	.L16
	.loc 1 39 0
	movl	12(%ebp), %eax
	movl	(%eax), %ecx
	movl	$.LC7, %edx
	movl	stdout, %eax
	movl	%ecx, 8(%esp)
	movl	%edx, 4(%esp)
	movl	%eax, (%esp)
	call	fprintf
	movl	stdout, %eax
	movl	%eax, (%esp)
	call	fflush
	.loc 1 40 0
	movl	$.LC8, (%esp)
	call	test_allexec
	.loc 1 41 0
	movl	12(%ebp), %eax
	movl	(%eax), %ecx
	movl	$.LC9, %edx
	movl	stdout, %eax
	movl	%ecx, 8(%esp)
	movl	%edx, 4(%esp)
	movl	%eax, (%esp)
	call	fprintf
	movl	stdout, %eax
	movl	%eax, (%esp)
	call	fflush
	.loc 1 42 0
	movl	$.LC10, (%esp)
	call	test_allexec
	.loc 1 38 0
	jmp	.L17
.L16:
.LBB5:
	.loc 1 45 0
	movl	stdout, %eax
	movl	%eax, %edx
	movl	$.LC11, %eax
	movl	%edx, 12(%esp)
	movl	$16, 8(%esp)
	movl	$1, 4(%esp)
	movl	%eax, (%esp)
	call	fwrite
	movl	stdout, %eax
	movl	%eax, (%esp)
	call	fflush
	.loc 1 46 0
	movl	$0, 28(%esp)
	jmp	.L18
.L19:
	movl	28(%esp), %eax
	sall	$2, %eax
	addl	12(%ebp), %eax
	movl	(%eax), %ecx
	movl	$.LC12, %edx
	movl	stdout, %eax
	movl	%ecx, 8(%esp)
	movl	%edx, 4(%esp)
	movl	%eax, (%esp)
	call	fprintf
	movl	stdout, %eax
	movl	%eax, (%esp)
	call	fflush
	addl	$1, 28(%esp)
.L18:
	movl	28(%esp), %eax
	cmpl	8(%ebp), %eax
	jl	.L19
	.loc 1 47 0
	movl	stdout, %eax
	movl	%eax, 4(%esp)
	movl	$10, (%esp)
	call	fputc
	movl	stdout, %eax
	movl	%eax, (%esp)
	call	fflush
.L17:
.LBE5:
	.loc 1 49 0
	movl	$0, %eax
	.loc 1 50 0
	leave
	.cfi_restore 5
	.cfi_def_cfa 4, 4
	ret
	.cfi_endproc
.LFE1:
	.size	main, .-main
.Letext0:
	.file 2 "/usr/lib/gcc/i686-redhat-linux/4.4.5/include/stddef.h"
	.file 3 "/usr/include/bits/types.h"
	.file 4 "/usr/include/libio.h"
	.file 5 "/usr/include/sys/types.h"
	.file 6 "/usr/include/stdio.h"
	.section	.debug_info
	.long	0x3ed
	.value	0x3
	.long	.Ldebug_abbrev0
	.byte	0x4
	.uleb128 0x1
	.long	.LASF58
	.byte	0x1
	.long	.LASF59
	.long	.LASF60
	.long	.Ltext0
	.long	.Letext0
	.long	.Ldebug_line0
	.uleb128 0x2
	.long	.LASF8
	.byte	0x2
	.byte	0xd3
	.long	0x30
	.uleb128 0x3
	.byte	0x4
	.byte	0x7
	.long	.LASF0
	.uleb128 0x3
	.byte	0x1
	.byte	0x8
	.long	.LASF1
	.uleb128 0x3
	.byte	0x2
	.byte	0x7
	.long	.LASF2
	.uleb128 0x3
	.byte	0x4
	.byte	0x7
	.long	.LASF3
	.uleb128 0x3
	.byte	0x1
	.byte	0x6
	.long	.LASF4
	.uleb128 0x3
	.byte	0x2
	.byte	0x5
	.long	.LASF5
	.uleb128 0x4
	.byte	0x4
	.byte	0x5
	.string	"int"
	.uleb128 0x3
	.byte	0x8
	.byte	0x5
	.long	.LASF6
	.uleb128 0x3
	.byte	0x8
	.byte	0x7
	.long	.LASF7
	.uleb128 0x2
	.long	.LASF9
	.byte	0x3
	.byte	0x38
	.long	0x61
	.uleb128 0x2
	.long	.LASF10
	.byte	0x3
	.byte	0x8d
	.long	0x85
	.uleb128 0x3
	.byte	0x4
	.byte	0x5
	.long	.LASF11
	.uleb128 0x2
	.long	.LASF12
	.byte	0x3
	.byte	0x8e
	.long	0x6f
	.uleb128 0x2
	.long	.LASF13
	.byte	0x3
	.byte	0x8f
	.long	0x5a
	.uleb128 0x5
	.byte	0x4
	.uleb128 0x6
	.byte	0x4
	.long	0xaa
	.uleb128 0x3
	.byte	0x1
	.byte	0x6
	.long	.LASF14
	.uleb128 0x7
	.long	.LASF44
	.byte	0x94
	.byte	0x4
	.value	0x10f
	.long	0x245
	.uleb128 0x8
	.long	.LASF15
	.byte	0x4
	.value	0x110
	.long	0x5a
	.sleb128 0
	.uleb128 0x8
	.long	.LASF16
	.byte	0x4
	.value	0x115
	.long	0xa4
	.sleb128 4
	.uleb128 0x8
	.long	.LASF17
	.byte	0x4
	.value	0x116
	.long	0xa4
	.sleb128 8
	.uleb128 0x8
	.long	.LASF18
	.byte	0x4
	.value	0x117
	.long	0xa4
	.sleb128 12
	.uleb128 0x8
	.long	.LASF19
	.byte	0x4
	.value	0x118
	.long	0xa4
	.sleb128 16
	.uleb128 0x8
	.long	.LASF20
	.byte	0x4
	.value	0x119
	.long	0xa4
	.sleb128 20
	.uleb128 0x8
	.long	.LASF21
	.byte	0x4
	.value	0x11a
	.long	0xa4
	.sleb128 24
	.uleb128 0x8
	.long	.LASF22
	.byte	0x4
	.value	0x11b
	.long	0xa4
	.sleb128 28
	.uleb128 0x8
	.long	.LASF23
	.byte	0x4
	.value	0x11c
	.long	0xa4
	.sleb128 32
	.uleb128 0x8
	.long	.LASF24
	.byte	0x4
	.value	0x11e
	.long	0xa4
	.sleb128 36
	.uleb128 0x8
	.long	.LASF25
	.byte	0x4
	.value	0x11f
	.long	0xa4
	.sleb128 40
	.uleb128 0x8
	.long	.LASF26
	.byte	0x4
	.value	0x120
	.long	0xa4
	.sleb128 44
	.uleb128 0x8
	.long	.LASF27
	.byte	0x4
	.value	0x122
	.long	0x27d
	.sleb128 48
	.uleb128 0x8
	.long	.LASF28
	.byte	0x4
	.value	0x124
	.long	0x283
	.sleb128 52
	.uleb128 0x8
	.long	.LASF29
	.byte	0x4
	.value	0x126
	.long	0x5a
	.sleb128 56
	.uleb128 0x8
	.long	.LASF30
	.byte	0x4
	.value	0x12a
	.long	0x5a
	.sleb128 60
	.uleb128 0x8
	.long	.LASF31
	.byte	0x4
	.value	0x12c
	.long	0x7a
	.sleb128 64
	.uleb128 0x8
	.long	.LASF32
	.byte	0x4
	.value	0x130
	.long	0x3e
	.sleb128 68
	.uleb128 0x8
	.long	.LASF33
	.byte	0x4
	.value	0x131
	.long	0x4c
	.sleb128 70
	.uleb128 0x8
	.long	.LASF34
	.byte	0x4
	.value	0x132
	.long	0x289
	.sleb128 71
	.uleb128 0x8
	.long	.LASF35
	.byte	0x4
	.value	0x136
	.long	0x299
	.sleb128 72
	.uleb128 0x8
	.long	.LASF36
	.byte	0x4
	.value	0x13f
	.long	0x8c
	.sleb128 76
	.uleb128 0x8
	.long	.LASF37
	.byte	0x4
	.value	0x148
	.long	0xa2
	.sleb128 84
	.uleb128 0x8
	.long	.LASF38
	.byte	0x4
	.value	0x149
	.long	0xa2
	.sleb128 88
	.uleb128 0x8
	.long	.LASF39
	.byte	0x4
	.value	0x14a
	.long	0xa2
	.sleb128 92
	.uleb128 0x8
	.long	.LASF40
	.byte	0x4
	.value	0x14b
	.long	0xa2
	.sleb128 96
	.uleb128 0x8
	.long	.LASF41
	.byte	0x4
	.value	0x14c
	.long	0x25
	.sleb128 100
	.uleb128 0x8
	.long	.LASF42
	.byte	0x4
	.value	0x14e
	.long	0x5a
	.sleb128 104
	.uleb128 0x8
	.long	.LASF43
	.byte	0x4
	.value	0x150
	.long	0x29f
	.sleb128 108
	.byte	0x0
	.uleb128 0x9
	.long	.LASF61
	.byte	0x4
	.byte	0xb4
	.uleb128 0xa
	.long	.LASF45
	.byte	0xc
	.byte	0x4
	.byte	0xba
	.long	0x27d
	.uleb128 0xb
	.long	.LASF46
	.byte	0x4
	.byte	0xbb
	.long	0x27d
	.sleb128 0
	.uleb128 0xb
	.long	.LASF47
	.byte	0x4
	.byte	0xbc
	.long	0x283
	.sleb128 4
	.uleb128 0xb
	.long	.LASF48
	.byte	0x4
	.byte	0xc0
	.long	0x5a
	.sleb128 8
	.byte	0x0
	.uleb128 0x6
	.byte	0x4
	.long	0x24c
	.uleb128 0x6
	.byte	0x4
	.long	0xb1
	.uleb128 0xc
	.long	0xaa
	.long	0x299
	.uleb128 0xd
	.long	0x30
	.byte	0x0
	.byte	0x0
	.uleb128 0x6
	.byte	0x4
	.long	0x245
	.uleb128 0xc
	.long	0xaa
	.long	0x2af
	.uleb128 0xd
	.long	0x30
	.byte	0x27
	.byte	0x0
	.uleb128 0x2
	.long	.LASF49
	.byte	0x5
	.byte	0x63
	.long	0x97
	.uleb128 0xe
	.byte	0x1
	.long	.LASF62
	.byte	0x1
	.byte	0x14
	.byte	0x1
	.long	.LFB0
	.long	.LFE0
	.byte	0x1
	.byte	0x9c
	.long	0x35a
	.uleb128 0xf
	.long	.LASF52
	.byte	0x1
	.byte	0x14
	.long	0xa4
	.byte	0x2
	.byte	0x91
	.sleb128 0
	.uleb128 0x10
	.long	.LBB2
	.long	.LBE2
	.long	0x309
	.uleb128 0x11
	.long	.LASF50
	.byte	0x1
	.byte	0x16
	.long	0x5a
	.byte	0x2
	.byte	0x91
	.sleb128 -32
	.uleb128 0x11
	.long	.LASF51
	.byte	0x1
	.byte	0x16
	.long	0x2af
	.byte	0x2
	.byte	0x91
	.sleb128 -28
	.byte	0x0
	.uleb128 0x10
	.long	.LBB3
	.long	.LBE3
	.long	0x333
	.uleb128 0x11
	.long	.LASF50
	.byte	0x1
	.byte	0x17
	.long	0x5a
	.byte	0x2
	.byte	0x91
	.sleb128 -36
	.uleb128 0x11
	.long	.LASF51
	.byte	0x1
	.byte	0x17
	.long	0x2af
	.byte	0x2
	.byte	0x91
	.sleb128 -24
	.byte	0x0
	.uleb128 0x12
	.long	.LBB4
	.long	.LBE4
	.uleb128 0x11
	.long	.LASF50
	.byte	0x1
	.byte	0x18
	.long	0x5a
	.byte	0x2
	.byte	0x91
	.sleb128 -40
	.uleb128 0x11
	.long	.LASF51
	.byte	0x1
	.byte	0x18
	.long	0x2af
	.byte	0x2
	.byte	0x91
	.sleb128 -20
	.byte	0x0
	.byte	0x0
	.uleb128 0x13
	.byte	0x1
	.long	.LASF63
	.byte	0x1
	.byte	0x24
	.byte	0x1
	.long	0x5a
	.long	.LFB1
	.long	.LFE1
	.byte	0x1
	.byte	0x9c
	.long	0x3b6
	.uleb128 0xf
	.long	.LASF53
	.byte	0x1
	.byte	0x24
	.long	0x5a
	.byte	0x2
	.byte	0x91
	.sleb128 0
	.uleb128 0xf
	.long	.LASF54
	.byte	0x1
	.byte	0x24
	.long	0x3b6
	.byte	0x2
	.byte	0x91
	.sleb128 4
	.uleb128 0xf
	.long	.LASF55
	.byte	0x1
	.byte	0x24
	.long	0x3b6
	.byte	0x2
	.byte	0x91
	.sleb128 8
	.uleb128 0x12
	.long	.LBB5
	.long	.LBE5
	.uleb128 0x14
	.string	"i"
	.byte	0x1
	.byte	0x2c
	.long	0x5a
	.byte	0x2
	.byte	0x74
	.sleb128 28
	.byte	0x0
	.byte	0x0
	.uleb128 0x6
	.byte	0x4
	.long	0xa4
	.uleb128 0x15
	.long	.LASF56
	.byte	0x6
	.byte	0xa6
	.long	0x283
	.byte	0x1
	.byte	0x1
	.uleb128 0x15
	.long	.LASF57
	.byte	0x1
	.byte	0x8
	.long	0x3b6
	.byte	0x1
	.byte	0x1
	.uleb128 0x15
	.long	.LASF56
	.byte	0x6
	.byte	0xa6
	.long	0x283
	.byte	0x1
	.byte	0x1
	.uleb128 0x15
	.long	.LASF57
	.byte	0x1
	.byte	0x8
	.long	0x3b6
	.byte	0x1
	.byte	0x1
	.byte	0x0
	.section	.debug_abbrev
	.uleb128 0x1
	.uleb128 0x11
	.byte	0x1
	.uleb128 0x25
	.uleb128 0xe
	.uleb128 0x13
	.uleb128 0xb
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x1b
	.uleb128 0xe
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x1
	.uleb128 0x10
	.uleb128 0x6
	.byte	0x0
	.byte	0x0
	.uleb128 0x2
	.uleb128 0x16
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x3
	.uleb128 0x24
	.byte	0x0
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3e
	.uleb128 0xb
	.uleb128 0x3
	.uleb128 0xe
	.byte	0x0
	.byte	0x0
	.uleb128 0x4
	.uleb128 0x24
	.byte	0x0
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3e
	.uleb128 0xb
	.uleb128 0x3
	.uleb128 0x8
	.byte	0x0
	.byte	0x0
	.uleb128 0x5
	.uleb128 0xf
	.byte	0x0
	.uleb128 0xb
	.uleb128 0xb
	.byte	0x0
	.byte	0x0
	.uleb128 0x6
	.uleb128 0xf
	.byte	0x0
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x7
	.uleb128 0x13
	.byte	0x1
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0x5
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x8
	.uleb128 0xd
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0x5
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x38
	.uleb128 0xd
	.byte	0x0
	.byte	0x0
	.uleb128 0x9
	.uleb128 0x16
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.byte	0x0
	.byte	0x0
	.uleb128 0xa
	.uleb128 0x13
	.byte	0x1
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0xb
	.uleb128 0xd
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x38
	.uleb128 0xd
	.byte	0x0
	.byte	0x0
	.uleb128 0xc
	.uleb128 0x1
	.byte	0x1
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0xd
	.uleb128 0x21
	.byte	0x0
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2f
	.uleb128 0xb
	.byte	0x0
	.byte	0x0
	.uleb128 0xe
	.uleb128 0x2e
	.byte	0x1
	.uleb128 0x3f
	.uleb128 0xc
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x27
	.uleb128 0xc
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x1
	.uleb128 0x40
	.uleb128 0xa
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0xf
	.uleb128 0x5
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0xa
	.byte	0x0
	.byte	0x0
	.uleb128 0x10
	.uleb128 0xb
	.byte	0x1
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x1
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x11
	.uleb128 0x34
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0xa
	.byte	0x0
	.byte	0x0
	.uleb128 0x12
	.uleb128 0xb
	.byte	0x1
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x1
	.byte	0x0
	.byte	0x0
	.uleb128 0x13
	.uleb128 0x2e
	.byte	0x1
	.uleb128 0x3f
	.uleb128 0xc
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x27
	.uleb128 0xc
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x1
	.uleb128 0x40
	.uleb128 0xa
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x14
	.uleb128 0x34
	.byte	0x0
	.uleb128 0x3
	.uleb128 0x8
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0xa
	.byte	0x0
	.byte	0x0
	.uleb128 0x15
	.uleb128 0x34
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x3f
	.uleb128 0xc
	.uleb128 0x3c
	.uleb128 0xc
	.byte	0x0
	.byte	0x0
	.byte	0x0
	.section	.debug_pubnames,"",@progbits
	.long	0x28
	.value	0x2
	.long	.Ldebug_info0
	.long	0x3f1
	.long	0x2ba
	.string	"test_allexec"
	.long	0x35a
	.string	"main"
	.long	0x0
	.section	.debug_pubtypes,"",@progbits
	.long	0x81
	.value	0x2
	.long	.Ldebug_info0
	.long	0x3f1
	.long	0x25
	.string	"size_t"
	.long	0x6f
	.string	"__quad_t"
	.long	0x7a
	.string	"__off_t"
	.long	0x8c
	.string	"__off64_t"
	.long	0x97
	.string	"__pid_t"
	.long	0x245
	.string	"_IO_lock_t"
	.long	0x24c
	.string	"_IO_marker"
	.long	0xb1
	.string	"_IO_FILE"
	.long	0x2af
	.string	"pid_t"
	.long	0x0
	.section	.debug_aranges,"",@progbits
	.long	0x1c
	.value	0x2
	.long	.Ldebug_info0
	.byte	0x4
	.byte	0x0
	.value	0x0
	.value	0x0
	.long	.Ltext0
	.long	.Letext0-.Ltext0
	.long	0x0
	.long	0x0
	.section	.debug_str,"MS",@progbits,1
.LASF9:
	.string	"__quad_t"
.LASF31:
	.string	"_old_offset"
.LASF57:
	.string	"environ"
.LASF55:
	.string	"envp"
.LASF26:
	.string	"_IO_save_end"
.LASF5:
	.string	"short int"
.LASF8:
	.string	"size_t"
.LASF36:
	.string	"_offset"
.LASF13:
	.string	"__pid_t"
.LASF20:
	.string	"_IO_write_ptr"
.LASF63:
	.string	"main"
.LASF22:
	.string	"_IO_buf_base"
.LASF27:
	.string	"_markers"
.LASF17:
	.string	"_IO_read_end"
.LASF52:
	.string	"exec"
.LASF6:
	.string	"long long int"
.LASF35:
	.string	"_lock"
.LASF11:
	.string	"long int"
.LASF32:
	.string	"_cur_column"
.LASF48:
	.string	"_pos"
.LASF54:
	.string	"argv"
.LASF47:
	.string	"_sbuf"
.LASF44:
	.string	"_IO_FILE"
.LASF1:
	.string	"unsigned char"
.LASF53:
	.string	"argc"
.LASF4:
	.string	"signed char"
.LASF7:
	.string	"long long unsigned int"
.LASF0:
	.string	"unsigned int"
.LASF45:
	.string	"_IO_marker"
.LASF34:
	.string	"_shortbuf"
.LASF19:
	.string	"_IO_write_base"
.LASF43:
	.string	"_unused2"
.LASF16:
	.string	"_IO_read_ptr"
.LASF59:
	.string	"allexec.c"
.LASF33:
	.string	"_vtable_offset"
.LASF23:
	.string	"_IO_buf_end"
.LASF50:
	.string	"status"
.LASF14:
	.string	"char"
.LASF46:
	.string	"_next"
.LASF37:
	.string	"__pad1"
.LASF38:
	.string	"__pad2"
.LASF39:
	.string	"__pad3"
.LASF40:
	.string	"__pad4"
.LASF41:
	.string	"__pad5"
.LASF60:
	.string	"/root/genprog-many-bugs/valgrind-bug-12474-12475/valgrind/none/tests/x86"
.LASF2:
	.string	"short unsigned int"
.LASF3:
	.string	"long unsigned int"
.LASF21:
	.string	"_IO_write_end"
.LASF12:
	.string	"__off64_t"
.LASF49:
	.string	"pid_t"
.LASF10:
	.string	"__off_t"
.LASF51:
	.string	"child"
.LASF28:
	.string	"_chain"
.LASF25:
	.string	"_IO_backup_base"
.LASF30:
	.string	"_flags2"
.LASF42:
	.string	"_mode"
.LASF18:
	.string	"_IO_read_base"
.LASF58:
	.string	"GNU C 4.4.5 20101112 (Red Hat 4.4.5-2)"
.LASF62:
	.string	"test_allexec"
.LASF24:
	.string	"_IO_save_base"
.LASF29:
	.string	"_fileno"
.LASF15:
	.string	"_flags"
.LASF56:
	.string	"stdout"
.LASF61:
	.string	"_IO_lock_t"
	.ident	"GCC: (GNU) 4.4.5 20101112 (Red Hat 4.4.5-2)"
	.section	.note.GNU-stack,"",@progbits
